/**
 * $Id: CommandLineArgument.java,v 1.3 2001/06/12 15:50:30 gchomat Exp $
 *
 * Transmorpher
 * 
 * Copyright (C) 2001 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 *
 * This is an utily class for the command line analysis  
 *
 * @author Laurent Tardif (laurent.tardif@inrialpes.fr)
 * @since SAX 2.0 / jdk 1.2 / XALAN 2.0
 */


package fr.fluxmedia.transmorpher.Application ; 
 
public final class CommandLineArgument {
  /** The filename parameter */
  String iFilename = null;
  
  /** the mode of transmorpher*/
    boolean debugg = false; // default : the trasmorpher's parser is not validating


  /** True if the command line is syntaxicly correct */
  boolean isOk = true;
  
  /** The commandLine constructor */
  public CommandLineArgument() {
  //Do nothing 
  }

  /** Set the filename */
  public final void setFilename(String pFilename) {
    iFilename = pFilename ;
  }
  
  /** Get the filename */
  public final String getFilename() {
    return iFilename ;
  }
  
  /** return true if the command line is syntaxicly correct */
  public final boolean IsOk() {
    return isOk;
  }
  
  /** Set the isOk variable to false */
  public final void setBadCommandLineArgument() {
    isOk = false ;
  }

} //end of class 
