/**
 * $Id: OneMixerHandler.java,v 1.3 2001/06/12 15:50:30 gchomat Exp $
 *
 * Transmorpher
 * 
 * Copyright (C) 2001 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
  * This interface allow to manage a set of OneMixer Object
  *
  *
  * @author laurent.tardif@inrialpes.fr
  * @date 10 02 2001 
  * @see SAX 2.0 && JDK 1.3
*/


package fr.fluxmedia.transmorpher.TProcessFactory ;

// Imported TraX classes

import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerConfigurationException;


// Imported SAX classes

import org.xml.sax.SAXException;


// Imported JAVA API for XML Parsing 1.0 classes

import java.io.IOException;

public interface OneMixerHandler {

  void IsFinished() throws SAXException ;
  void IsFinishedDuringStop() throws SAXException ;
    boolean isFirstMixer(OneMixer m);
    boolean isLastMixer(OneMixer m);

}
