/**
 * $Id: RemAtt.java,v 1.4 2001/06/12 15:50:30 gchomat Exp $
 *
 * Transmorpher
 * 
 * Copyright (C) 2001 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 *
 * This is an utily class for the Rematt ruleset
 * Endeed the ruleset elements mutch be delayed at
 * the end of modtag element
 *
 * @author Laurent Tardif (laurent.tardif@inrialpes.fr)
 * @since SAX 2.0 / jdk 1.2 / XALAN 2.0
 */


package fr.fluxmedia.transmorpher.Parser ;

public final class RemAtt {

  /** The name of the attribute */
  String iElementName = null;
  
  /** The name of the element */
  String iAttributeName = null;

  /** The constructor */
  public RemAtt(String pElementName, String pAttributeName) {
    iElementName= pElementName;
    iAttributeName = pAttributeName ; 
  }
 
  /** Get the name of the element */
  public final String getElementName() {
    return iElementName;
  }
    
  /** get the name of the attribute */  
  public final String getAttributeName() {
    return iAttributeName ;
  }

}
